> ## Documentation Index
> Fetch the complete documentation index at: https://developers.orchestrasolutions.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Payment Gateway Accounts

> This method allows you to list all stored Payment Gateway Accounts in the system

## related

<Card title="Gateway Accounts Guide" icon="book" href="/guides/rest-api/utilities/gateway-accounts">
  Complete guide with account management and naming conventions
</Card>


## OpenAPI

````yaml get /PaymentGatewayAccounts
openapi: 3.0.4
info:
  title: Orchestra API
  description: Code Version 1.0.11.6
  version: Prod
servers:
  - url: https://api.orchestrasolutions.com
security: []
tags:
  - name: AP2
    description: Test AP2 controller
  - name: EWalletOperations
    description: Card operations controller
  - name: MockCredentialProvider
    description: |-
      Mock Credential Provider controller implementing JSON-RPC 2.0 protocol
      Used for testing AP2 checkout flows
  - name: PaymentGatewayAccounts
    description: Payment Gateway Accounts
  - name: PaymentGateway
    description: Universal Payment Gateway
  - name: StringTokens
    description: Token management
  - name: Tools
    description: >-
      Card tools for BIN/IIN lookup, brand identification, Luhn validation, and
      card risk assessment
  - name: Utils
    description: Utils
paths:
  /PaymentGatewayAccounts:
    get:
      tags:
        - PaymentGatewayAccounts
      summary: List Payment Gateway Accounts
      description: >-
        This method allows you to list all stored Payment Gateway Accounts in
        the system
      operationId: PaymentGatewayAccountsList
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: >-
                    #/components/schemas/PayTools_Api.Models.PaymentGatewayAccountBriefOutputModel
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: >-
                    #/components/schemas/PayTools_Shared.Models.ValidationErrorMessage
        '401':
          description: Not authenticated
      security:
        - ApiKeyAuth: []
components:
  schemas:
    PayTools_Api.Models.PaymentGatewayAccountBriefOutputModel:
      type: object
      properties:
        name:
          type: string
          description: Name of account
          nullable: true
        paymentGatewayName:
          type: string
          description: >-
            Unique name of the Payment Gateway the account information relates
            to.
          nullable: true
        creationTime:
          type: string
          description: Date and time the credentials were stored
          format: date-time
      additionalProperties: false
      description: >-
        Output Model for designating a payment gateway account with a client
        certificate
    PayTools_Shared.Models.ValidationErrorMessage:
      type: object
      properties:
        fieldName:
          type: string
          description: Field name the error(s) are referring to
          nullable: true
        errors:
          type: array
          items:
            type: string
          description: List of errors
          nullable: true
      additionalProperties: false
      description: Model for display validation error messages
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      description: Please enter ApiKey into field
      name: X-Api-Key
      in: header

````